QsciLexerHex Class Reference

`#include <qscilexerhex.h>`

Inherits QsciLexer.

Inherited by QsciLexerIntelHex, QsciLexerSRec, and QsciLexerTekHex.

## Public Types

enum | { Default = 0 , RecordStart = 1 , RecordType = 2 , UnknownRecordType = 3 , ByteCount = 4 , IncorrectByteCount = 5 , NoAddress = 6 , DataAddress = 7 , RecordCount = 8 , StartAddress = 9 , ExtendedAddress = 11 , OddData = 12 , EvenData = 13 , UnknownData = 14 , Checksum = 16 , IncorrectChecksum = 17 , TrailingGarbage = 18 }

## Public Member Functions

| QsciLexerHex (QObject *parent=0)
virtual | ~QsciLexerHex ()
QColor | defaultColor (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
QString | description (int style) const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual const char * | language () const =0
virtual const char * | lexer () const
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual const char * | keywords (int set) const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual void | refreshProperties ()
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Additional Inherited Members

Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)
Protected Member Functions inherited from QsciLexer
virtual bool | readProperties (QSettings &qs, const QString &prefix)
virtual bool | writeProperties (QSettings &qs, const QString &prefix) const
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Detailed Description

The abstract QsciLexerHex class encapsulates the Scintilla Hex lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the Hex lexer.

Enumerator
Default | The default.
RecordStart | A record start.
RecordType | A record type.
UnknownRecordType | An unknown record type.
ByteCount | A correct byte count field.
IncorrectByteCount | An incorrect byte count field.
NoAddress | No address (S-Record and Intel Hex only).
DataAddress | A data address.
RecordCount | A record count (S-Record only).
StartAddress | A start address.
ExtendedAddress | An extended address (Intel Hex only).
OddData | Odd data.
EvenData | Even data.
UnknownData | Unknown data (S-Record and Intel Hex only).
Checksum | A correct checksum.
IncorrectChecksum | An incorrect checksum.
TrailingGarbage | Garbage data after the record.

## Constructor & Destructor Documentation

## QsciLexerHex()

QsciLexerHex::QsciLexerHex | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerHex with parent parent. parent is typically the QsciScintilla instance.

Referenced by description().

## Member Function Documentation

## defaultColor()

QColor QsciLexerHex::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

Reimplemented from QsciLexer.

## defaultFont()

QFont QsciLexerHex::defaultFont | ( | int | style | ) | const

virtual

Returns the font for style number style.

Reimplemented from QsciLexer.

## defaultPaper()

QColor QsciLexerHex::defaultPaper | ( | int | style | ) | const

virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## description()

QString QsciLexerHex::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

Reimplemented in QsciLexerIntelHex, QsciLexerSRec, and QsciLexerTekHex.

References QsciLexerHex().